\chapter{Realization}
Realization / Implementation of the concept 

tool selection (e.g. programming language, frameworks, libraries, tools)

description of the implementation (no programming code, but architectural figures, possibly concretesizing figures already introduced in the concept section)

documentation of important design decisions and tradeoffs made